For the complete documentation index, see llms.txt. This page is also available as Markdown.

Purchase

Endpoints pertaining to requesting for quotes for options, viewing user options positions and options purchase history

Base API path: https://api.stryke.xyz/clamm/purchase

Options Quote

The /quote endpoint is designed to return the estimated cost of purchasing an option for a given market This endpoint is useful for users who want to understand the pricing details before making a purchase. It provides both the estimated cost and the relevant token information. Note: Due to high volatility in certain markets the cost of the options may be slightly stale

Get quote for purchasing options

get
Query parameters
chainIdnumber · enumRequired

Chain ID of the network

Possible values:
optionMarketstringRequired

Address of the option market

userstringRequired
strikenumberRequired
markPricenumberRequired
typestring · enumRequiredPossible values:
amountnumberRequired
ttlnumberRequired
Responses
200

Get cost of purchasing an option

application/json
premiumstringRead-onlyRequired
feesstringRead-onlyRequired
get/clamm/purchase/quote
GET /clamm/purchase/quote?chainId=5000&optionMarket=text&user=text&strike=1&markPrice=1&type=call&amount=1&ttl=1 HTTP/1.1
Host: api.stryke.xyz
Accept: */*
200

Get cost of purchasing an option

{
  "token": {
    "address": "text",
    "decimals": "text",
    "symbol": "text"
  },
  "premium": "text",
  "fees": "text"
}

Options Positions

The /positions endpoint retrieves information about a user's current options positions of a given market. It provides an overview of the options positions held by a user including details about the type of option, quantity, strike price, expiration, size etc.

Get current options positions of a user

get
Query parameters
chainIdnumber · enumRequired

Chain ID of the network

Possible values:
optionMarketstringRequired

Address of the option market

userstringRequired

Address of the user

firstnumber · enumRequired

Pagination parameter for first (Similar to Qraphql)

Possible values:
skipnumber · enumRequired

Pagination parameter for skip (Similar to Qraphql)

Possible values:
Responses
200

List of options positions

application/json
sizestringRead-onlyRequired
premiumstringRead-onlyRequired
strikenumberRead-onlyRequired
typestring · enumRead-onlyRequiredPossible values:
get/clamm/purchase/positions
GET /clamm/purchase/positions?chainId=5000&optionMarket=text&user=text&first=100&skip=0 HTTP/1.1
Host: api.stryke.xyz
Accept: */*
200

List of options positions

[
  {
    "size": "text",
    "premium": "text",
    "strike": 1,
    "type": "call",
    "token": {
      "address": "text",
      "decimals": "text",
      "symbol": "text"
    },
    "meta": {
      "tokenId": "text",
      "expiry": 1,
      "handlers": [
        {
          "name": "text",
          "deprecated": true,
          "handler": {},
          "pool": {}
        }
      ],
      "liquidities": [
        "text"
      ]
    }
  }
]

Purchase history

The /history endpoint retrieves options purchases by a user for a given market.

Get history of options purchases for a user

get
Query parameters
chainIdnumber · enumRequired

Chain ID of the network

Possible values:
optionMarketstringRequired

Address of the option market

userstringRequired

Address of the user

firstnumber · enumRequired

Pagination parameter for first (Similar to Qraphql)

Possible values:
skipnumber · enumRequired

Pagination parameter for skip (Similar to Qraphql)

Possible values:
Responses
200

History of options purchases by an address

application/json
txHashobjectRead-onlyRequired
timestampnumberRead-onlyRequired
strikenumberRead-onlyRequired
sizestringRead-onlyRequired
ttlnumberRead-onlyRequired
typestring · enumRead-onlyRequiredPossible values:
premiumstringRead-onlyRequired
get/clamm/purchase/history
GET /clamm/purchase/history?chainId=5000&optionMarket=text&user=text&first=100&skip=0 HTTP/1.1
Host: api.stryke.xyz
Accept: */*
200

History of options purchases by an address

[
  {
    "txHash": {},
    "timestamp": 1,
    "strike": 1,
    "size": "text",
    "ttl": 1,
    "type": "call",
    "premium": "text",
    "token": {
      "address": "text",
      "decimals": "text",
      "symbol": "text"
    }
  }
]

Last updated

Was this helpful?